Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thinger.service.local
Enum CLIServiceTools.Responses

    java.lang.Object
      java.lang.Enum<CLIServiceTools.Responses>
          things.thinger.service.local.CLIServiceTools.Responses

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CLIServiceTools.Responses>

Enclosing class:
  CLIServiceTools

    public static enum CLIServiceTools.Responses

extends java.lang.Enum<CLIServiceTools.Responses>

The specific responses.

Enum Constant Summary
`DYING`
`FAIL_BAD_COMMAND`
`FAIL_BAD_COMMAND_PARSE`
`FAIL_BAD_COULD_NOT_CREATE`
`FAIL_BAD_COULD_NOT_ISSUE`
`FAIL_BAD_GENERAL_PROBLEM`
`FAIL_BAD_UNKNOWN_COMMAND`
`FAIL_EXECUTION`
`FAULT`
`OK`
`OK_BUT_NOT_DONE`
`OK_NO_COMMAND`

Method Summary
`java.lang.String` | `format(java.lang.String commandName)` Format the response, simple.
`java.lang.String` | `format(java.lang.String commandName, Receipt finalReceipt, java.lang.String text, java.lang.String additional)` Format the response.
`static CLIServiceTools.Responses` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CLIServiceTools.Responses[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FAIL_BAD_COMMAND_PARSE

    public static final CLIServiceTools.Responses FAIL_BAD_COMMAND_PARSE

### FAIL_BAD_COMMAND

    public static final CLIServiceTools.Responses FAIL_BAD_COMMAND

### FAIL_BAD_UNKNOWN_COMMAND

    public static final CLIServiceTools.Responses FAIL_BAD_UNKNOWN_COMMAND

### FAIL_BAD_COULD_NOT_CREATE

    public static final CLIServiceTools.Responses FAIL_BAD_COULD_NOT_CREATE

### FAIL_BAD_COULD_NOT_ISSUE

    public static final CLIServiceTools.Responses FAIL_BAD_COULD_NOT_ISSUE

### FAIL_BAD_GENERAL_PROBLEM

    public static final CLIServiceTools.Responses FAIL_BAD_GENERAL_PROBLEM

### FAIL_EXECUTION

    public static final CLIServiceTools.Responses FAIL_EXECUTION

### OK_NO_COMMAND

    public static final CLIServiceTools.Responses OK_NO_COMMAND

### OK_BUT_NOT_DONE

    public static final CLIServiceTools.Responses OK_BUT_NOT_DONE

### OK

    public static final CLIServiceTools.Responses OK

### DYING

    public static final CLIServiceTools.Responses DYING

### FAULT

    public static final CLIServiceTools.Responses FAULT

Method Detail

### values

    public static CLIServiceTools.Responses[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CLIServiceTools.Responses c : CLIServiceTools.Responses.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CLIServiceTools.Responses valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### format

    public java.lang.String format(java.lang.String commandName,
                                   Receipt finalReceipt,
                                   java.lang.String text,
                                   java.lang.String additional)

  Format the response.

  Parameters:
    `commandName` - the command name.
    `finalReceipt` - the final receipt for the command. If it is null, that it put nothing.
    `text` - The text output. If null, it will use the stock text.
    `additional` - The additional text. If null, it will be a single line of text.
  Returns:
    the formatted response string.

### format

    public java.lang.String format(java.lang.String commandName)

  Format the response, simple.

  Parameters:
    `commandName` - the command name.
  Returns:
    the formatted response string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.